package com.bonus.sgzb.base.service.impl;


import com.bonus.sgzb.base.domain.BmProjectLot;
import com.bonus.sgzb.base.mapper.BmProjectLotMapper;
import com.bonus.sgzb.base.service.BmProjectLotService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BmProjectLotServiceImpl implements BmProjectLotService {

    @Autowired
    private BmProjectLotMapper bmProjectLotMapper;

    @Override
    public List<BmProjectLot> getProjectLotAll(BmProjectLot bmProjectLot) {

        return bmProjectLotMapper.getProjectLotAll(bmProjectLot);
    }


    @Override
    public int projectLotAdd(BmProjectLot bmProjectLot) {
        return bmProjectLotMapper.projectLotAdd(bmProjectLot);
    }

    @Override
    public void remove(Long[] proIds) {
        bmProjectLotMapper.remove(proIds);
    }

    @Override
    public int updateBmProjectLot(BmProjectLot bmProjectLot) {
        return bmProjectLotMapper.updateBmProjectLot(bmProjectLot);
    }

    @Override
    public int deleteProjectLotById(Long lotId) {
        return bmProjectLotMapper.deleteProjectLotById(lotId);
    }


}
